'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var styled = require('styled-components');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var styled__default = /*#__PURE__*/_interopDefaultLegacy(styled);

function _taggedTemplateLiteral(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  return Object.freeze(Object.defineProperties(strings, {
    raw: {
      value: Object.freeze(raw)
    }
  }));
}

var _templateObject$1;
var Link = styled__default['default'].a(_templateObject$1 || (_templateObject$1 = _taggedTemplateLiteral(["\n  position: relative;\n  padding: ", ";\n  transition: color 0.35s, background-color 0.35s;\n  color: ", ";\n  font-size: ", ";\n  &:before {\n    transition: transform 0.35s cubic-bezier(0.3, 0.86, 0.36, 0.95);\n    content: '';\n    position: absolute;\n    left: ", ";\n    right: ", ";\n    bottom: ", ";\n    transform: scaleX(0);\n    transform-origin: 100% 100%;\n    height: 1px;\n    background-color: ", ";\n  }\n  &:hover:before,\n  &:focus:before {\n    transform-origin: 0 0;\n    transform: scaleX(1);\n  }\n"])), function (props) {
  return props.theme.space[2];
}, function (props) {
  return props.theme.colors.primary;
}, function (props) {
  return props.theme.fontSizes[2];
}, function (props) {
  return props.theme.space[2];
}, function (props) {
  return props.theme.space[2];
}, function (props) {
  return props.theme.space[1];
}, function (props) {
  return props.theme.colors.primary;
});

var index = {
  breakpoints: ['40em', '52em', '64em'],
  fontSizes: ['.75rem', '.875rem', '1rem', '1.25rem', '1.5rem', '2rem', '3rem', '4rem'],
  colors: {
    blue: '#07c',
    lightgray: '#f6f6ff',
    primary: 'rgb(17 63 58)'
  },
  space: [0, '.25rem', '.5rem', '1rem', '2rem', '3rem', '4rem', '5rem', '8rem', '16rem'],
  fonts: {
    body: 'system-ui, sans-serif',
    heading: 'inherit',
    monospace: 'Menlo, monospace'
  },
  fontWeights: {
    body: 400,
    heading: 700,
    bold: 700
  },
  lineHeights: {
    body: 1.5,
    heading: 1.25
  },
  shadows: {
    small: '0 0 4px rgba(0, 0, 0, .125)',
    large: '0 0 24px rgba(0, 0, 0, .125)'
  },
  variants: {},
  text: {},
  buttons: {
    primary: {
      color: 'white',
      bg: 'primary'
    }
  }
};

var _templateObject;
var GlobalStyle = styled.createGlobalStyle(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n\n  @font-face { font-display: swap; }\n\n  * {\n    font-family: Montserrat, Open Sans, sans-serif !important;\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n\n  html,\n  body {\n    height: 100%;\n    width: 100%;\n  }\n\n"])));

exports.GlobalStyle = GlobalStyle;
exports.Link = Link;
exports.theme = index;
